function PHIS=HABITdrawsdetrend_INF(zetas);

% Inputs = X (RHS variable), Y(LHS Variable), K(Number of simulations)

% Outputs = PHIs (n*p+1)xnxnsim Coefficient matrix

% This program computes draws from the posterior distribution for the model
% RBC

% Order of parameters in RBC priors is beta, theta, eta, delta, rhoA,
% rhog, rhoV,g_y, sigA, sigg, sigV, sigmeas

%% Generating draws from posterior distribution of PHI
[nsim,junk]=size(zetas);
k=17;
n=4;
PHIS=zeros(k,n,nsim);                  
PHI=zeros(k*n,1);

for c=1:nsim
    % Computing relevant matrices at draw
    [GAMMAXX,GAMMAYX,GAMMAYY]=HABITGAMMAsdetrend(zetas(c,:)');
    PHI=inv(GAMMAXX)*GAMMAYX';
    PHIS(:,:,c)=reshape(PHI,k,n);
end
    
    