function [GAMMAXX,GAMMAYX,GAMMAYY,Sigutilde]=postRBC(x,X,Y,lambda);

% This function computes the posterior density at parameters x, LHS 
% variable Y, and RHS variable X

% Inputs:
%   x-DSGE parameters
%   X-RHS variables in VAR
%   Y-LHS variable in VAR
%   lambda-hyperparameter

% Outputs:
%   GAMMAXX     - X'*X matrix that DSGE model would generate
%   GAMMAYX     - Y'*X matrix that DSGE model would generate
%   GAMMAYY     - Y'*Y matrix that DSGE model would generate
%   Sigutilde   - covariance matrix

%% Other parameters
[T,k]=size(X);
% Getting the theoretical moments
[GAMMAXX,GAMMAYX,GAMMAYY]=RBCGAMMAs(x,X,Y);
Sigustar=GAMMAYY-GAMMAYX*eye(k)*GAMMAYX';
Sigutilde=((lambda+1)*T)^(-1)*((lambda*T*GAMMAYY+Y'*Y)-(lambda*T*GAMMAYX+Y'*X)...
    *inv(lambda*T*GAMMAXX+X'*X)*(lambda*T*GAMMAYX'+X'*Y));