function [GAMMAXX,GAMMAYX,GAMMAYY,Sigutilde]=postSTICKYACCdetrend(x,X,Y,lambda);

% Inputs:
%   x-DSGE parameters
%   X-RHS variables in VAR
%   Y-LHS variable in VAR
%   lambda-hyperparameter

% Outputs:
%   GAMMAXX     - X'*X matrix that DSGE model would generate
%   GAMMAYX     - Y'*X matrix that DSGE model would generate
%   GAMMAYY     - Y'*Y matrix that DSGE model would generate
%   Sigutilde   - covariance matrix that DSGE model would generate


%% Other parameters
[T,n]=size(Y);
[T,k]=size(X);
% Getting the theoretical moments
[GAMMAXX,GAMMAYX,GAMMAYY]=STICKYACCGAMMAsdetrend(x);
Sigutilde=((lambda+1)*T)^(-1)*((lambda*T*GAMMAYY+Y'*Y)-(lambda*T*GAMMAYX+Y'*X)...
    *inv(lambda*T*GAMMAXX+X'*X)*(lambda*T*GAMMAYX'+X'*Y));

