% This program computes the impulse response functions at the mean of the
% priors

close all;
clear all;
clc;

n=40;                       % Number of periods for the impulse response

nparamsRBC=12;
nparamsHABIT=nparamsRBC+2;
nparamsSTICKY=nparamsRBC+2;
paramsRBC=zeros(nparamsRBC,1);
paramsHABIT=zeros(nparamsHABIT,1);
paramsSTICKY=zeros(nparamsSTICKY,1);

params=zeros(nparamsRBC,1);

% Mean of priors
params(1,:)=0.99;
params(2,:)=0.36;
params(3,:)=1.0059;
params(4,:)=0.021;
params(5,:)=0.95;
params(6,:)=0.8;
params(7,:)=0.95;
params(8,:)=0.2;
paramsHABIT=[params;0.7;25];
paramsSTICKY=[params;6;0.8;10];
[IRFSRBCneutral,IRFSRBCgovt,IRFSRBCishock]=RBCprior(params,n);
[IRFSHABITneutral,IRFSHABITgovt,IRFSHABITishock]=HABITprior(paramsHABIT,n);
[IRFSSTICKYneutral,IRFSSTICKYgovt,IRFSSTICKYishock]=STICKYprior(paramsSTICKY,n);



time=zeros(n,1);
for j=1:n
    time(j,1)=j;
end

zer=zeros(length(IRFSRBCneutral(:,1)),1);

figure ('name','Figure 1: Neutral Technology Shocks','NumberTitle','off')
subplot(221),plot(time,IRFSRBCneutral(:,1)*100,'b',time,IRFSHABITneutral(:,1)*100,'r--',time,IRFSSTICKYneutral(:,1)*100,'k:',time,zer,'k'),title('Output'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(222),plot(time,IRFSRBCneutral(:,2)*100,'b',time,IRFSHABITneutral(:,2)*100,'r--',time,IRFSSTICKYneutral(:,3)*100, 'k:',time,zer,'k'),title('Investment'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(223),plot(time,IRFSRBCneutral(:,3)*100,'b',time,IRFSHABITneutral(:,3)*100,'r--',time,IRFSSTICKYneutral(:,3)*100,'k:',time,zer,'k'),title('Hours'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(224),plot(time,IRFSRBCneutral(:,4)*100,'b',time,IRFSHABITneutral(:,4)*100,'r--',time,IRFSSTICKYneutral(:,4)*100, 'k:',time,zer,'k'),title('Consumption'),xlabel('quarters'),ylabel('% dev. from steady state'),legend('RBC','HABIT','STICKY','Location','SouthEast')

figure ('name','Figure 2: Goverment Spending Shocks','NumberTitle','off')
subplot(221),plot(time,IRFSRBCgovt(:,1)*100,'b',time,IRFSHABITgovt(:,1)*100,'r--',time,IRFSSTICKYgovt(:,1)*100, 'k:',time,zer,'k'),title('Output'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(222),plot(time,IRFSRBCgovt(:,2)*100,'b',time,IRFSHABITgovt(:,2)*100,'r--',time,IRFSSTICKYgovt(:,3)*100, 'k:',time,zer,'k'),title('Investment'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(223),plot(time,IRFSRBCgovt(:,3)*100,'b',time,IRFSHABITgovt(:,3)*100,'r--',time,IRFSSTICKYgovt(:,3)*100,'k:',time,zer,'k'),title('Hours'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(224),plot(time,IRFSRBCgovt(:,4)*100,'b',time,IRFSHABITgovt(:,4)*100,'r--',time,IRFSSTICKYgovt(:,4)*100, 'k:',time,zer,'k'),title('Consumption'),xlabel('quarters'),ylabel('% dev. from steady state'),legend('RBC','HABIT','STICKY','Location','SouthEast')

figure ('name','Figure 3: Investment-Specificy Technology Shocks','NumberTitle','off')
subplot(221),plot(time,IRFSRBCishock(:,1)*100,'b',time,IRFSHABITishock(:,1)*100,'r--',time,IRFSSTICKYishock(:,1)*100, 'k:',time,zer,'k'),title('Output'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(222),plot(time,IRFSRBCishock(:,2)*100,'b',time,IRFSHABITishock(:,2)*100,'r--',time,IRFSSTICKYishock(:,3)*100, 'k:',time,zer,'k'),title('Investment'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(223),plot(time,IRFSRBCishock(:,3)*100,'b',time,IRFSHABITishock(:,3)*100,'r--',time,IRFSSTICKYishock(:,3)*100,'k:',time,zer,'k'),title('Hours'),xlabel('quarters'),ylabel('% dev. from steady state')
subplot(224),plot(time,IRFSRBCishock(:,4)*100,'b',time,IRFSHABITishock(:,4)*100,'r--',time,IRFSSTICKYishock(:,4)*100, 'k:',time,zer,'k'),title('Consumption'),xlabel('quarters'),ylabel('% dev. from steady state'),legend('RBC','HABIT','STICKY','Location','SouthEast')